/*
  C++ STL I/O demo: binary file input.
  Read "demo" file in 10-byte chunks.
  
  Orion Sky Lawlor, olawlor@acm.org, 2007/02/08 (Public Domain)
*/
#include <iostream>
#include <fstream>

int main() {
	std::ifstream s("demo",std::ifstream::binary);
	if (!s) {std::cout<<"Can't open the file. Crap!"<<std::endl; return 0;}
	char buf[11];
	buf[10]=0;
	s.seekg(0);
	while (s.read(buf,10)) {
		std::cout<<"Read: "<<buf<<std::endl;
	}
	std::cout<<"File ended up at location "<<s.tellg()<<"\n";
	/* File is closed automatically when the ifstream variable is deleted */
	return 0;
}
